%define anolis_release 1

Name:           gdisk
Version:        1.0.8
Release:        %{anolis_release}%{?dist}
Summary:        An fdisk-like partitioning tool for GPT disks

License:        GPLv2
URL:            http://www.rodsbooks.com/gdisk/
Source0:        http://downloads.sourceforge.net/gptfdisk/gptfdisk-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  libuuid-devel
BuildRequires:  ncurses-devel
BuildRequires:  popt-devel
Requires:       libuuid
Requires:       ncurses-libs

%description
GPT fdisk is a disk partitioning tool loosely modeled on Linux fdisk,
but used for modifying GUID Partition Table (GPT) disks. The related
FixParts utility fixes some common problems on Master Boot Record (MBR)
disks.

%prep
%setup -q -n gptfdisk-%{version}

%build
%make_build

%install
for f in gdisk sgdisk cgdisk fixparts ; do
    install -D -p -m 0755 $f %{buildroot}%{_sbindir}/$f
    install -D -p -m 0644 $f.8 %{buildroot}%{_mandir}/man8/$f.8
done

%files
%license COPYING
%doc NEWS README
%{_sbindir}/*
%{_mandir}/man8/*

%changelog
* Fri Mar 11 2022 Su Lifan <su-lifan@linux.alibaba.com> - 1.0.8-1
- Initial packaging for Anolis OS 23
